Set person modification thumbnail

Prev Next

Available in VPC

Add a thumbnail to a person.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workspaces/{workspace_name}/persons/{person_id}/person-thumbnail

Request headers

For information about the request headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
person_id String Required Person ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
thumbnails Array Required List of thumbnails to register: thumbnails

thumbnails

The following describes thumbnails.

Field Type Required Description
thumbnailKey String Required Key value of the thumbnail uploaded to Object Storage
isPrimaryThumbnail Boolean Required Whether it is the main thumbnail
  • true | false

Request example

The request example is as follows:

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/person-thumbnail' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "thumbnails": [
    {
      "thumbnailKey": "my-workspace/W05xCokQ1v/jiho0.jpg",
      "isPrimaryThumbnail": true
    }
  ]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Person thumbnail list object
result.personId Integer - Person ID
result.thumbnailList Array - List of thumbnails finally registered to the person: thumbnailList
  • Existing thumbnails + newly added thumbnails.

thumbnailList

The following describes thumbnailList.

Field Type Required Description
id Integer - Thumbnail ID
url String - Thumbnail image URL (presigned URL)
isPrimaryThumbnail Boolean - Whether it is the main thumbnail
  • true | false
thumbnailSource String - Thumbnail registration method
  • AUTO | MANUAL
  • AUTO: Thumbnail automatically extracted during media analysis.
  • MANUAL: Thumbnail uploaded directly by the user.

Response status codes

For information about the response status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "personId": 1001,
    "thumbnailList": [
      {
        "id": 1234,
        "url": "https://kr.object.ncloudstorage.com/.../jiho0.jpg?...",
        "isPrimaryThumbnail": true,
        "thumbnailSource": "MANUAL"
      }
    ]
  }
}